Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 735174 - dev-haskell/deepseq-generics-0.2.0.0 - setup: Encountered missing or private dependencies: base >=4.5 && <4.10
Summary: dev-haskell/deepseq-generics-0.2.0.0 - setup: Encountered missing or private ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2020-08-02 08:49 UTC by Andrew Udvare
Modified: 2020-08-04 06:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Udvare 2020-08-02 08:49:36 UTC
Did my normal world update and there were GHC and Haskell updates. Almost all the updates succeeded except for this package. I tried haskell-updater and it does not work:

Searching for packages installed with a different version of GHC.

Found the following old packages:
  * dev-haskell/deepseq-generics:0

Searching for Haskell libraries with broken dependencies.

No broken packages found!

Updater's past history:
Pass 1 : dev-haskell/deepseq-generics:0
ERROR: Updater stuck in the loop and can't progress

Similar bug but with a different package:

https://bugs.gentoo.org/show_bug.cgi?id=556494
Comment 1 Erik Quaeghebeur 2020-08-02 21:49:58 UTC
I can confirm this.
Comment 2 Andrew Udvare 2020-08-03 11:24:55 UTC
Found out nothing depends on this package at this point for my machine. As such, this could be the solution:

emerge --depclean dev-haskell/deepseq-generics
Comment 3 Larry the Git Cow gentoo-dev 2020-08-04 06:22:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a6997527bdc775ed179ff8c9b92681b95849f14

commit 9a6997527bdc775ed179ff8c9b92681b95849f14
Author:     Jack Todaro <solpeth@posteo.org>
AuthorDate: 2020-08-04 01:59:14 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-08-04 06:21:43 +0000

    dev-haskell/deepseq-generics: loosen base and ghc-prim dep bounds
    
    Closes: https://bugs.gentoo.org/735174
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Signed-off-by: Jack Todaro <solpeth@posteo.org>
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 dev-haskell/deepseq-generics/deepseq-generics-0.2.0.0.ebuild | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)